From a6c044fadba92edb538a5f59a6813247dada07a8 Mon Sep 17 00:00:00 2001
From: bra1nwave <brainwave@openmailbox.org>
Date: Mon, 24 Jun 2019 10:33:28 +0200
Subject: [PATCH 1/4] uhd: update to 3.14.1.0.

[ci skip]
---
 common/shlibs                       |  2 +-
 srcpkgs/uhd/patches/boost-169.patch | 25 -------------------------
 srcpkgs/uhd/template                |  4 ++--
 3 files changed, 3 insertions(+), 28 deletions(-)
 delete mode 100644 srcpkgs/uhd/patches/boost-169.patch

diff --git a/common/shlibs b/common/shlibs
index d4a66b6b797..71c7748c2ee 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3383,7 +3383,7 @@ libcaf_core.so.0.16.2 bro-2.6.1_1
 libcaf_openssl.so.0.16.2 bro-2.6.1_1
 libllhttp.so.1 llhttp-1.0.1_1
 libpinyin.so.13 libpinyin-2.2.1_1
-libuhd.so.3 uhd-3.13.0.2_1
+libuhd.so.3.14.1 uhd-3.14.1.0_1
 libeditline.so.1 editline-1.16.0_1
 libgnuradio-rds-3.7.0git.so.0.0.0 gnuradio-rds-1.1.0_1
 libgnuradio-nrsc5-1.0.0git.so.0.0.0 gnuradio-nrsc5-1.0.0_1
diff --git a/srcpkgs/uhd/patches/boost-169.patch b/srcpkgs/uhd/patches/boost-169.patch
deleted file mode 100644
index 7c6eba60e4b..00000000000
--- a/srcpkgs/uhd/patches/boost-169.patch
+++ /dev/null
@@ -1,25 +0,0 @@
-From 5c012cad7858cadcaa85ec295080f3c8b21fdee0 Mon Sep 17 00:00:00 2001
-From: Martin Braun <martin.braun@ettus.com>
-Date: Wed, 9 Jan 2019 09:17:07 -0800
-Subject: [PATCH] lib: experts: Add potentially missing but sometimes inferred
- include
-
-This adds an include for boost/core/noncopyable.hpp. Without it, builds
-would potentially fail on Boost 1.69++.
----
- host/lib/include/uhdlib/experts/expert_nodes.hpp | 1 +
- 1 file changed, 1 insertion(+)
-
-diff --git a/host/lib/include/uhdlib/experts/expert_nodes.hpp b/host/lib/include/uhdlib/experts/expert_nodes.hpp
-index 697ca19c3..8fa183835 100644
---- host/lib/include/uhdlib/experts/expert_nodes.hpp
-+++ host/lib/include/uhdlib/experts/expert_nodes.hpp
-@@ -12,6 +12,7 @@
- #include <uhd/exception.hpp>
- #include <uhd/utils/dirty_tracked.hpp>
- #include <uhd/types/time_spec.hpp>
-+#include <boost/core/noncopyable.hpp>
- #include <boost/function.hpp>
- #include <boost/thread/recursive_mutex.hpp>
- #include <boost/thread.hpp>
-
diff --git a/srcpkgs/uhd/template b/srcpkgs/uhd/template
index f2ce9159e1d..ffc3a2eb1f2 100644
--- a/srcpkgs/uhd/template
+++ b/srcpkgs/uhd/template
@@ -1,6 +1,6 @@
 # Template file for 'uhd'
 pkgname=uhd
-version=3.13.0.2
+version=3.14.1.0
 revision=1
 wrksrc="${pkgname}-${version}"
 build_wrksrc=host
@@ -12,7 +12,7 @@ maintainer="Remi Pommarel <repk@triplefau.lt>"
 license="GPL-3.0-or-later"
 homepage="https://files.ettus.com/"
 distfiles="https://github.com/EttusResearch/uhd/archive/v${version}.tar.gz"
-checksum=e18d0524cbf571be4847fd7f971dc30c37efd9e7a333761b74e1266a07cbd35b
+checksum=8fc1ad70d80f7f69a30c957fee218ef8767cfd5a0ee4f0830e506f2b22e5b923
 
 post_install() {
 	rm -rf ${DESTDIR}/usr/lib/uhd/tests

From 900e2c4bf683eae3180d9f57fb0e3f3b2f2fe470 Mon Sep 17 00:00:00 2001
From: bra1nwave <brainwave@openmailbox.org>
Date: Mon, 24 Jun 2019 10:34:06 +0200
Subject: [PATCH 2/4] gnuradio: rebuild against uhd-3.14.0.0_1

[ci skip]
---
 srcpkgs/gnuradio/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gnuradio/template b/srcpkgs/gnuradio/template
index f57751512dc..d450b7674be 100644
--- a/srcpkgs/gnuradio/template
+++ b/srcpkgs/gnuradio/template
@@ -1,7 +1,7 @@
 # Template file for 'gnuradio'
 pkgname=gnuradio
 version=3.7.13.5
-revision=1
+revision=2
 build_style=cmake
 nocross="relies on volk, which is not complete for arm"
 conf_files="/etc/gnuradio/conf.d/*"

From 9dbe093dcbaff64d3bcdb19df499ed25d7280dfc Mon Sep 17 00:00:00 2001
From: bra1nwave <brainwave@openmailbox.org>
Date: Mon, 24 Jun 2019 10:34:28 +0200
Subject: [PATCH 3/4] gnuradio-osmosdr: rebuild against uhd-3.14.0.0_1

[ci skip]
---
 srcpkgs/gnuradio-osmosdr/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gnuradio-osmosdr/template b/srcpkgs/gnuradio-osmosdr/template
index 367c5317413..83603dd207d 100644
--- a/srcpkgs/gnuradio-osmosdr/template
+++ b/srcpkgs/gnuradio-osmosdr/template
@@ -1,7 +1,7 @@
 # Template file for 'gnuradio-osmosdr'
 pkgname=gnuradio-osmosdr
 version=0.1.4
-revision=5
+revision=6
 wrksrc="gr-osmosdr-${version}"
 build_style=cmake
 pycompile_module="osmosdr"

From 2cc6f72ec4d677a29f278d598897df3b5d3dc14e Mon Sep 17 00:00:00 2001
From: bra1nwave <brainwave@openmailbox.org>
Date: Mon, 24 Jun 2019 10:34:35 +0200
Subject: [PATCH 4/4] SoapyUHD: update to 0.3.6.

---
 srcpkgs/SoapyUHD/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/SoapyUHD/template b/srcpkgs/SoapyUHD/template
index b15fc328cb7..16759ca3642 100644
--- a/srcpkgs/SoapyUHD/template
+++ b/srcpkgs/SoapyUHD/template
@@ -1,6 +1,6 @@
 # Template file for 'SoapyUHD'
 pkgname=SoapyUHD
-version=0.3.5
+version=0.3.6
 revision=1
 wrksrc="${pkgname}-soapy-uhd-${version}"
 build_style=cmake
@@ -11,4 +11,4 @@ maintainer="bra1nwave <brainwave@openmailbox.org>"
 license="GPL-3.0-or-later"
 homepage="https://github.com/pothosware/SoapyUHD"
 distfiles="${homepage}/archive/soapy-uhd-${version}.tar.gz"
-checksum=824911253da0cdadd84481d4d98c6124c71431b69774bc6b138ddbdae0e6182b
+checksum=0ac7fd0967e6922f16d1ba1a7ecb72f1fbcc14dd80e5134af9a5c9b86c1bccb8
